> For the complete documentation index, see [llms.txt](https://docs.movesdk.com/move-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.movesdk.com/move-platform/sdk/models/moveauth.md).

# MoveAuth

The [MoveAuth ](/move-platform/sdk/models/moveauth.md)object is used to validate the usage of the MOVE SDK and configure its services according to project specifications.

{% tabs %}
{% tab title="Android" %}

```kotlin
data class MoveAuth(
    var projectId: Long,
    var userId: String,
    var accessToken: String,
    var refreshToken: String
)
```

{% endtab %}

{% tab title="iOS" %}

```swift
struct MoveAuth {
    var userToken: String
    var refreshToken: String
    var userID: String
    var projectID: Int
}
```

{% endtab %}

{% tab title="React Native" %}

```javascript
export type MoveSdkAuth = {
  userId: string;
  accessToken: string;
  refreshToken: string;
  projectId: number;
};
```

{% endtab %}

{% tab title="Flutter" %}

```dart
import 'package:movesdk/io/dolphin/move/move_auth.dart';
```

```dart
class MoveAuth {
  String projectId;
  String userId;
  String accessToken;
  String refreshToken;
}
```

{% endtab %}
{% endtabs %}

| **MoveAuth** | **Type**               |                                                                                                                                         |
| ------------ | ---------------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| accessToken  | String                 | User's session-based access token.                                                                                                      |
| refreshToken | String                 | User's session-based refresh token.                                                                                                     |
| userID       | String                 | Unique identifier of the user.                                                                                                          |
| projectID    | String / Android: Long | Unique identifier of the MOVE project. Can be obtained from the [MOVE Dashboard](/move-platform/sdk/getting-started/move-dashboard.md). |

{% hint style="warning" %}

### Authentication Expiry

Since MOVE SDK v2.6.7, token refresh is handled automatically and internally by the SDK.
{% endhint %}

| **MoveAuth related**        |                                                                                                              |
| --------------------------- | ------------------------------------------------------------------------------------------------------------ |
| `authStateUpdateListener()` | Block to be invoked every time MOVE SDK [MoveAuthState](/move-platform/sdk/models/moveauthstate.md) changes. |
| `getAuthState()`            | Gets the current [MoveAuthState](/move-platform/sdk/models/moveauthstate.md).                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/sdk/models/moveauth.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
